Bug 152376 - Freshly started tomcat produces server error
Freshly started tomcat produces server error
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lutterkort
Fanny Augustin
Depends On:
Blocks: 147875
  Show dependency treegraph
Reported: 2005-03-28 19:38 EST by David Lutterkort
Modified: 2013-04-30 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-07-06 16:58:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Lutterkort 2005-03-28 19:38:34 EST
Description of problem:
When tomcat is first restarted (with service tomcat5 restart), any click on a
Java link (e.g., user list) produces a Server Error. After a minute or so, the
site magically starts working.

How reproducible:

Steps to Reproduce:
1. Restart tomcat
2. Click on any of the Java links -> server error
3. Get coffee; try same links again -> success

Actual results:

Expected results:

Additional info:
Comment 1 David Lutterkort 2005-04-14 13:53:20 EDT
After some thought, what I think is happening is that Apache takes a moment to
reconnect to the new Tomcat through ajp13; if that's the case, then this is NOTABUG.

It would be good though to verify that (a) the error is generated by Tomcat and
(b) caused by ajp13 reconnecting and not anything more sinister.
Comment 2 Bret McMillan 2005-06-17 12:47:40 EDT
to dlutter for verification
Comment 3 Jesus M. Rodriguez 2005-07-05 13:38:05 EDT
Did you look in catalina.out and ensure that the rhn.xml file was processed
before clicking on the java link?  I've had a similar problem, but have found
that the rhn webapp hasn't been started yet.
Comment 4 David Lutterkort 2005-07-06 16:58:16 EDT
From what I can tell, this is the cause for the error, that Tomcat isn't fully
up yet and/or Apache hasn't (re)connected to Tomcat yet. Therefore, Marking as

Note You need to log in before you can comment on or make changes to this bug.